Subject: Re: Git fetches whole repository and not just latest

From: Jonathan Nieder <[email-masked]>
Date: Fri, 29 May 2020 10:29:55 -0700

Hi Andy,

Andy Shevchenko wrote:

> So, I have a local repository which has many remotes added (~20 or
> so). Most of them are from the same Git server, but few are from
> different servers.
[...]
> origin, for example, almost everyday now gets in full (1.21 GiB!),
> while others have no pattern.
>
> I would like to know if it's problem of proxy, or that specific Git
> server or is it (new) bug in Git?

What Git version are you using?  Can you test 2.27.0-rc2?

I believe this is fixed by

	commit 2f0a093dd640e0dad0b261dae2427f2541b5426c
	Author: Jonathan Tan <[email-masked]>
	Date:   Mon Apr 27 17:01:10 2020 -0700

	    fetch-pack: in protocol v2, reset in_vain upon ACK

which is part of 2.27.0-rc0.

Thanks and hope that helps,
Jonathan